org.apache.lucene.analysis.pattern

## Class PatternReplaceFilter

- java.lang.Object
- - org.apache.lucene.util.AttributeSource
  - - org.apache.lucene.analysis.TokenStream
    - - org.apache.lucene.analysis.TokenFilter
      - - org.apache.lucene.analysis.pattern.PatternReplaceFilter

All Implemented Interfaces:
  Closeable, AutoCloseable

    public final class PatternReplaceFilter
    extends TokenFilter

A TokenFilter which applies a Pattern to each token in the stream, replacing match occurances with the specified replacement string.

Note: Depending on the input and the pattern used and the input TokenStream, this TokenFilter may produce Tokens whose text is the empty string.

See Also:
  `Pattern`

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource

`AttributeSource.AttributeFactory, AttributeSource.State`

### Field Summary

### Fields inherited from class org.apache.lucene.analysis.TokenFilter

`input`

### Constructor Summary

Constructors
Constructor and Description
`PatternReplaceFilter(TokenStream in, Pattern p, String replacement, boolean all)` Constructs an instance to replace either the first, or all occurances

### Method Summary

Methods
`boolean` `incrementToken()`

### Methods inherited from class org.apache.lucene.analysis.TokenFilter

`close, end, reset`

### Methods inherited from class org.apache.lucene.util.AttributeSource

`addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, copyTo, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, reflectAsString, reflectWith, restoreState`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PatternReplaceFilter

    public PatternReplaceFilter(TokenStream in,
                        Pattern p,
                        String replacement,
                        boolean all)

Constructs an instance to replace either the first, or all occurances

Parameters:
  `in` - the TokenStream to process
  `p` - the patterm to apply to each Token
  `replacement` - the "replacement string" to substitute, if null a blank string will be used. Note that this is not the literal string that will be used, '$' and '\' have special meaning.
  `all` - if true, all matches will be replaced otherwise just the first match.
See Also:
  `Matcher.quoteReplacement(java.lang.String)`

### Method Detail

#### incrementToken

    public boolean incrementToken()
                           throws IOException

Specified by:
  `incrementToken` in class `TokenStream`
Throws:
  `IOException`